### Virtual Method

# Foundry LlmResource load_bytes

since: 1.1

#### Declaration [src]

    DexFuture*
    load_bytes (
      FoundryLlmResource* self
    )

#### Description [src]

Loads the bytes for the resource.

This method asynchronously loads the resource content and returns a future that resolves to a `GBytes` containing the data.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GBytes`, or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.